<jonas-ejb-jar>

<!-- this file is autogenerated by jboss2jonas -->

  <jonas-session>
    <ejb-name>SessionEJB</ejb-name>
    <jndi-name>SessionJNDI</jndi-name>
    <jndi-local-name>SessionLocalJNDI</jndi-local-name>
    <run-as>SessionPrincipal</run-as>
    <jonas-resource>
      <res-ref-name>SessionResRef(resource-name)</res-ref-name>
      <jndi-name>SessionResRefResName</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>SessionResRef(jndi-name)</res-ref-name>
      <jndi-name>SessionResRefJNDI</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>SessionResRef(res-url)</res-ref-name>
      <jndi-name>SessionResRefResURL</jndi-name>
    </jonas-resource>
    <jonas-ejb-ref>
      <ejb-ref-name>SessionRefName</ejb-ref-name>
      <jndi-name>SessionRefJNDI</jndi-name>
    </jonas-ejb-ref>
    <jonas-resource-env>
      <resource-env-ref-name>SessionResRefEnvName</resource-env-ref-name>
      <jndi-name>SessionResRefEnvJNDI</jndi-name>
    </jonas-resource-env>
  </jonas-session>

  <jonas-entity>
    <ejb-name>EntityEJB</ejb-name>
    <jndi-name>EntityJNDI</jndi-name>
    <jndi-local-name>EntityLocalJNDI</jndi-local-name>
    <run-as>EntityPrincipal</run-as>
    <jonas-resource>
      <res-ref-name>EntityResRef(resource-name)</res-ref-name>
      <jndi-name>EntityResRefResName</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>EntityResRef(jndi-name)</res-ref-name>
      <jndi-name>EntityResRefJNDI</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>EntityResRef(res-url)</res-ref-name>
      <jndi-name>EntityResRefResURL</jndi-name>
    </jonas-resource>
    <jonas-ejb-ref>
      <ejb-ref-name>EntityRefName</ejb-ref-name>
      <jndi-name>EntityRefJNDI</jndi-name>
    </jonas-ejb-ref>
    <jonas-resource-env>
      <resource-env-ref-name>EntityResRefEnvName</resource-env-ref-name>
      <jndi-name>EntityResRefEnvJNDI</jndi-name>
    </jonas-resource-env>
    <jdbc-mapping>
      <jndi-name>JNDIDatasource</jndi-name>
      <jdbc-table-name>EntityTable</jdbc-table-name>
      <cmp-field-jdbc-mapping>
        <field-name>fieldName</field-name>
        <jdbc-field-name>columnName</jdbc-field-name>
        <sql-type>sqlType</sql-type>
      </cmp-field-jdbc-mapping>
    </jdbc-mapping>
  </jonas-entity>

  <jonas-message-driven>
    <ejb-name>MessageEJB</ejb-name>
    <run-as>MessageDrivenPrincipal</run-as>
    <jonas-resource>
      <res-ref-name>MessageDrivenResRef(resource-name)</res-ref-name>
      <jndi-name>MessageDrivenResRefResName</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>MessageDrivenResRef(jndi-name)</res-ref-name>
      <jndi-name>MessageDrivenResRefJNDI</jndi-name>
    </jonas-resource>
    <jonas-resource>
      <res-ref-name>MessageDrivenResRef(res-url)</res-ref-name>
      <jndi-name>MessageDrivenResRefResURL</jndi-name>
    </jonas-resource>
    <jonas-ejb-ref>
      <ejb-ref-name>MessageDrivenRefName</ejb-ref-name>
      <jndi-name>MessageDrivenRefJNDI</jndi-name>
    </jonas-ejb-ref>
    <jonas-resource-env>
      <resource-env-ref-name>MessageDrivenResRefEnvName</resource-env-ref-name>
      <jndi-name>MessageDrivenResRefEnvJNDI</jndi-name>
    </jonas-resource-env>
    <jonas-message-driven-destination>
      <jndi-name>MessageDestinationJNDI</jndi-name>
    </jonas-message-driven-destination>
    <activation-config>
      <activation-config-property>
        <activation-config-property-name>ACPName1</activation-config-property-name>
        <activation-config-property-value>ACPValue1</activation-config-property-value>
      </activation-config-property>
      <activation-config-property>
        <activation-config-property-name>ACPName2</activation-config-property-name>
        <activation-config-property-value>ACPValue2</activation-config-property-value>
      </activation-config-property>
      <activation-config-property>
        <activation-config-property-name>ACPName3</activation-config-property-name>
        <activation-config-property-value>ACPValue3</activation-config-property-value>
      </activation-config-property>
    </activation-config>
  </jonas-message-driven>

  <jonas-ejb-relation>
    <ejb-relation-name>RelationName</ejb-relation-name>
    <jdbc-table-name>RelationTable</jdbc-table-name>
    <jonas-ejb-relationship-role>
      <ejb-relationship-role-name>Role1Name</ejb-relationship-role-name>
      <foreign-key-jdbc-name>Role1ColumnName1</foreign-key-jdbc-name>
      <foreign-key-jdbc-name>Role1ColumnName2</foreign-key-jdbc-name>
    </jonas-ejb-relationship-role>
    <jonas-ejb-relationship-role>
      <ejb-relationship-role-name>Role2Name</ejb-relationship-role-name>
      <foreign-key-jdbc-name>Role2ColumnName1</foreign-key-jdbc-name>
      <foreign-key-jdbc-name>Role2ColumnName2</foreign-key-jdbc-name>
    </jonas-ejb-relationship-role>
  </jonas-ejb-relation>
</jonas-ejb-jar>
